Class | Bio::FlatFileIndex::Indexer::Parser::GenBankParser
In: | lib/bio/io/flatfile/indexer.rb
Parent: | TemplateParser

### Methods

new

### Constants

NAMESTYLE | = | NameSpaces.new( NameSpace.new( 'VERSION', Proc.new { |x| x.acc_version } ), NameSpace.new( 'LOCUS', Proc.new { |x| x.entry_id } ), NameSpace.new( 'ACCESSION', Proc.new { |x| x.accessions } ), NameSpace.new( 'GI', Proc.new { |x| x.gi.to_s.gsub(/\AGI\:/, '') } )
PRIMARY | = | 'VERSION'

### Public Class methods

new(pri_name = nil, sec_names = nil)

[Source]

         # File lib/bio/io/flatfile/indexer.rb, line 183
    183:           def initialize(pri_name = nil, sec_names = nil)
    184:             super()
    185:             self.format = 'genbank'
    186:             self.dbclass = Bio::GenBank
    187:             self.set_primary_namespace((pri_name or PRIMARY))
    188:             unless sec_names then
    189:               sec_names = []
    190:               @namestyle.each_value do |x|
    191:                 sec_names << x.name if x.name != self.primary.name
    192:               end
    193:             end
    194:             self.add_secondary_namespaces(*sec_names)
    195:           end

[Validate]